Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
GraphicsPipeSelection Class Reference

This maintains a list of GraphicsPipes by type that are available for creation. More...

`#include "graphicsPipeSelection.h"`

## Public Member Functions
bool | add_pipe_type (TypeHandle type, PipeConstructorFunc *func)
| Adds a new kind of GraphicsPipe to the list of available pipes for creation.
int | get_num_aux_modules () const
| Returns the number of display modules that are still to be loaded.
int | get_num_pipe_types () const
TypeHandle | get_pipe_type (int n) const
void | load_aux_modules ()
| Loads all the modules named in the aux-display Configrc variable, making as many graphics pipes as possible available.
void | print_pipe_types () const
| Writes a list of the currently known GraphicsPipe types to nout, for the user's information.
PT(GraphicsPipe) make_module_pipe(const std | PT (GraphicsPipe) make_default_pipe()
PT(GraphicsPipe) make_pipe(const std | PT (GraphicsPipe) make_pipe(TypeHandle type)
typedef | PT (GraphicsPipe) PipeConstructorFunc()

## Static Public Member Functions
static GraphicsPipeSelection * | get_global_ptr ()
| Returns a pointer to the one global GraphicsPipeSelection object.

## Public Attributes
| get_num_pipe_types
| Returns the number of different types of GraphicsPipes that are available to create through this interface.
| get_pipe_type
| Returns the nth type of GraphicsPipe available through this interface.

## Detailed Description

This maintains a list of GraphicsPipes by type that are available for creation.

Normally there is one default interactive GraphicsPipe, and possibly other types available as well.

Definition at line 33 of file graphicsPipeSelection.h.

## Member Function Documentation

## ◆ add_pipe_type()

bool GraphicsPipeSelection::add_pipe_type | ( | TypeHandle | type,
|  | PipeConstructorFunc * | func )

Adds a new kind of GraphicsPipe to the list of available pipes for creation.

Normally, this is called at static init type by the various shared libraries as they are linked in. Returns true on success, false on failure.

Definition at line 316 of file graphicsPipeSelection.cxx.

References TypeHandle::is_derived_from().

Referenced by init_libandroiddisplay(), init_libdxgsg9(), init_libegldisplay(), init_libglxdisplay(), init_libosxdisplay(), and init_libwgldisplay().

## ◆ get_global_ptr()

GraphicsPipeSelection * GraphicsPipeSelection::get_global_ptr | ( |  | ) |
| inline static

Returns a pointer to the one global GraphicsPipeSelection object.

Definition at line 27 of file graphicsPipeSelection.I.

Referenced by init_libandroiddisplay(), init_libdxgsg9(), init_libegldisplay(), init_libglxdisplay(), init_libosxdisplay(), init_libwgldisplay(), and PandaFramework::open_window().

## ◆ get_num_aux_modules()

int GraphicsPipeSelection::get_num_aux_modules | ( |  | ) | const
| inline

Returns the number of display modules that are still to be loaded.

If this is nonzero, then calling load_aux_modules() will likely increase the number of GraphicsPipes available.

Definition at line 19 of file graphicsPipeSelection.I.

## ◆ load_aux_modules()

void GraphicsPipeSelection::load_aux_modules | ( |  | ) |

Loads all the modules named in the aux-display Configrc variable, making as many graphics pipes as possible available.

Definition at line 300 of file graphicsPipeSelection.cxx.

Referenced by PandaFramework::open_window().

## ◆ print_pipe_types()

void GraphicsPipeSelection::print_pipe_types | ( |  | ) | const

Writes a list of the currently known GraphicsPipe types to nout, for the user's information.

Definition at line 120 of file graphicsPipeSelection.cxx.

## Member Data Documentation

## ◆ get_num_pipe_types

int GraphicsPipeSelection::get_num_pipe_types

Returns the number of different types of GraphicsPipes that are available to create through this interface.

Definition at line 41 of file graphicsPipeSelection.h.

Referenced by PandaFramework::open_window().

## ◆ get_pipe_type

TypeHandle GraphicsPipeSelection::get_pipe_type

Returns the nth type of GraphicsPipe available through this interface.

Definition at line 41 of file graphicsPipeSelection.h.

Referenced by PandaFramework::open_window().

The documentation for this class was generated from the following files:

- panda/src/display/graphicsPipeSelection.h
- panda/src/display/graphicsPipeSelection.cxx
- panda/src/display/graphicsPipeSelection.I